Page MenuHomePhabricator

Create a repository for entity label in specific language
Closed, ResolvedPublic

Description

Given an entity ID and a language code (for the T227759 use case, the page language), it returns the label, including its (BCP-47) language code (i. e., the language, not the for-language, of the wbgetentities response), while applying language fallbacks.

The directionality is determined elsewhere, most likely from $.uls.data.getDir().

This is most likely implemented using action=wbgetentities&props=labels&languages=___&languagefallback=1&ids=___.

Return value could be a FingerprintableEntity or something else; to be decided.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterbridge: Add interface for EntityLabelRepository

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 28 2019, 3:31 PM

Note: the language code is probably a constructor parameter (cf. T231473), not a method parameter.

Michael claimed this task.Sep 2 2019, 11:11 AM
Michael moved this task from To do to Doing on the Wikidata-Bridge-Sprint-4 board.
Michael added a project: User-Michael.
Michael moved this task from 🗃️ Incoming to ⏳ In progress on the User-Michael board.

Change 533893 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: Add interface for EntityLabelRepository

https://gerrit.wikimedia.org/r/533893

Pablo-WMDE added a subscriber: Michael.

Change 533893 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Add interface for EntityLabelRepository

https://gerrit.wikimedia.org/r/533893

Lucas_Werkmeister_WMDE closed this task as Resolved.Sep 10 2019, 11:02 AM
Lucas_Werkmeister_WMDE moved this task from Doing to Done on the Wikidata-Bridge-Sprint-4 board.

I’m not sure why this was never in the review column, but as far as I’m aware it’s done now.

I'm actually still at rebasing and polishing https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/+/533934 at this very moment.

Pablo-WMDE reopened this task as Open.Sep 10 2019, 12:01 PM
Pablo-WMDE moved this task from Done to Doing on the Wikidata-Bridge-Sprint-4 board.